Base64 (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.util.Base64,Base64 class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.util
Class Base64

    java.lang.Object
      |
      +--gnu.crypto.util.Base64

public class Base64
extends java.lang.Object

Most of this implementation is from Robert Harder's public domain Base64 code (version 1.4.1 available from <http://iharder.net/xmlizable>).

Method Summary
`static byte[]` | `decode(byte[] src, int off, int len)` Decodes Base64 content in byte array format and returns the decoded byte array.
`static byte[]` | `decode(java.lang.String s)` Decodes data from Base64 notation.
`static java.lang.String` | `encode(byte[] src)` Encodes a byte array into Base64 notation.
`static java.lang.String` | `encode(byte[] src, int off, int len, boolean breakLines)` Encodes a byte array into Base64 notation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### encode

    public static final java.lang.String encode(byte[] src)

  Encodes a byte array into Base64 notation. Equivalent to calling `encode(source, 0, source.length)`.

  Parameters:
    `src` - the data to convert.

### encode

    public static final java.lang.String encode(byte[] src,
                                                int off,
                                                int len,
                                                boolean breakLines)

  Encodes a byte array into Base64 notation.

  Parameters:
    `src` - the data to convert.
    `off` - offset in array where conversion should begin.
    `len` - length of data to convert.
    `breakLines` - break lines at 80 characters or less.

### decode

    public static final byte[] decode(java.lang.String s)
                               throws java.io.UnsupportedEncodingException

  Decodes data from Base64 notation.

  Parameters:
    `s` - the string to decode.
  Returns:
    the decoded data.
    `java.io.UnsupportedEncodingException`

### decode

    public static byte[] decode(byte[] src,
                                int off,
                                int len)

  Decodes Base64 content in byte array format and returns the decoded byte array.

  Parameters:
    `src` - the Base64 encoded data.
    `off` - the offset of where to begin decoding.
    `len` - the length of characters to decode.
  Returns:
    the decoded data.
  Throws:
    `java.lang.IllegalArgumentException` - if `src` contains an illegal Base-64 character.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.